"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../config");
const response_util_1 = require("../utils/response-util");
exports.adminAuthorize = (req, res, next) => {
    if (req.user && req.user.isAdmin) {
        return next();
    }
    return response_util_1.ResponseUtil.sendUnauthorized(res);
};
exports.apiKeyAuthorize = (req, res, next) => {
    const authHeader = req.header('Authorization');
    if (!authHeader) {
        return response_util_1.ResponseUtil.sendUnauthorized(res);
    }
    if (!/^apiKey \S+$/.test(authHeader)) {
        return response_util_1.ResponseUtil.sendUnauthorized(res, 'Invalid authorization header format.');
    }
    const apiKey = authHeader.split(' ')[1];
    if (apiKey === config_1.ADMIN_KEY) {
        return next();
    }
    return response_util_1.ResponseUtil.sendUnauthorized(res);
};
//# sourceMappingURL=authentication.js.map