"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bodyParser = require("body-parser");
const cors = require("cors");
const session = require("express-session");
const passport = require("passport");
const index_1 = require("./../config/index");
const json = bodyParser.json();
const urlencoded = bodyParser.urlencoded({ extended: false });
exports.passportMiddlewares = [
    session({
        secret: 'session_secret',
        resave: false,
        saveUninitialized: true
    }),
    passport.initialize(),
    passport.session()
];
exports.jsonMiddleware = [json];
exports.urlencodedMiddleware = [urlencoded];
exports.corsMiddleware = cors();
exports.middlewares = [json, urlencoded, ...exports.passportMiddlewares];
exports.initMiddleware = () => {
    exports.corsMiddleware = cors(index_1.ADMIN_CORS);
};
//# sourceMappingURL=index.js.map