"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("express-gateway");
const passport_1 = require("../config/passport");
const passport_util_1 = require("./../utils/passport-util");
const policy = {
    name: 'basic-auth',
    policy: actionParams => {
        return (req, res, next) => {
            passport_1.default.authenticate('basic-plugin', { session: false }, passport_util_1.getCommonAuthCallback(actionParams, req, res, next))(req, res, next);
        };
    },
    schema: {
        $id: 'http://express-gateway.io/schemas/policies/basic-auth.json',
        type: 'object',
        properties: {
            passThrough: { type: 'boolean', default: false },
            passThroughSafeMethod: { type: 'boolean', default: false }
        }
    }
};
exports.default = policy;
//# sourceMappingURL=basic-auth-policy.js.map