"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("express-gateway");
const invokeMiddleware_1 = require("../utils/invokeMiddleware");
const middleware_1 = require("./../middleware");
const passport_util_1 = require("./../utils/passport-util");
const policy = {
    name: 'session-auth',
    policy: actionParams => {
        return (req, res, next) => {
            invokeMiddleware_1.default(middleware_1.passportMiddlewares, req, res)
                .then(() => {
                const user = req.user;
                return passport_util_1.getCommonAuthCallback(actionParams, req, res, next)(null, user, null);
            })
                .catch(err => {
                next(err);
            });
        };
    },
    schema: {
        $id: 'http://express-gateway.io/schemas/policies/session-auth.json',
        type: 'object',
        properties: {
            passThrough: { type: 'boolean', default: false },
            passThroughSafeMethod: { type: 'boolean', default: false }
        }
    }
};
exports.default = policy;
//# sourceMappingURL=session-auth-policy.js.map