"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const passport_1 = require("../config/passport");
const middleware_1 = require("./../middleware");
const passport_util_1 = require("./../utils/passport-util");
const user_util_1 = require("./../utils/user-util");
exports.default = (gatewayExpressApp) => {
    gatewayExpressApp.options('/auth/token', middleware_1.corsMiddleware);
    gatewayExpressApp.options('/auth/refresh', middleware_1.corsMiddleware);
    gatewayExpressApp.options('/auth/login', middleware_1.corsMiddleware);
    gatewayExpressApp.options('/auth/logout', middleware_1.corsMiddleware);
    gatewayExpressApp.get('/auth/token', middleware_1.corsMiddleware, passport_1.default.authenticate('basic-plugin', { session: false }), (req, res, next) => {
        const user = req.user;
        const token = user_util_1.generateAuthToken(user);
        res.json(Object.assign({}, token, { user: user_util_1.getUserView(user) }));
    });
    gatewayExpressApp.post('/auth/token', middleware_1.corsMiddleware, middleware_1.jsonMiddleware, middleware_1.urlencodedMiddleware, passport_1.default.authenticate('local-plugin', { session: false }), (req, res, next) => {
        const user = req.user;
        const token = user_util_1.generateAuthToken(user);
        res.json(Object.assign({}, token, { user: user_util_1.getUserView(user) }));
    });
    gatewayExpressApp.post('/auth/refresh', middleware_1.corsMiddleware, middleware_1.jsonMiddleware, middleware_1.urlencodedMiddleware, (req, res, next) => {
        passport_1.default.authenticate('jwt-plugin', { session: false }, passport_util_1.getRefreshTokenCallback(req, res, next))(req, res, next);
    });
    gatewayExpressApp.get('/auth/login', middleware_1.corsMiddleware, middleware_1.middlewares, passport_1.default.authenticate('basic-plugin'), (req, res, next) => {
        res.send('Success');
    });
    gatewayExpressApp.post('/auth/login', middleware_1.corsMiddleware, middleware_1.middlewares, passport_1.default.authenticate('local-plugin'), (req, res, next) => {
        res.send('Success');
    });
    gatewayExpressApp.get('/auth/logout', middleware_1.corsMiddleware, middleware_1.passportMiddlewares, (req, res) => {
        req.logout();
        res.send('Success');
    });
};
//# sourceMappingURL=auth-eg.js.map