"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const passport_1 = require("../config/passport");
const middleware_1 = require("./../middleware");
const user_util_1 = require("./../utils/user-util");
exports.default = (gatewayExpressApp) => {
    gatewayExpressApp.get('/auth/google', passport_1.default.authenticate('google-plugin', { scope: ['profile'] }));
    gatewayExpressApp.get('/auth/google/callback', middleware_1.passportMiddlewares, passport_1.default.authenticate('google-plugin', { failureRedirect: '/auth/google' }), (req, res) => {
        const user = req.user;
        const token = user_util_1.generateAuthToken(user);
        res.json({ token });
    });
};
//# sourceMappingURL=google-oauth20-eg.js.map