"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ResponseUtil {
}
ResponseUtil.sendUnauthorized = (res, message = 'Unauthorized') => res.status(401).json({
    name: 'AuthorizationError',
    code: 100,
    message
});
ResponseUtil.sendForbidden = (res) => res.status(401).json({
    name: 'Forbidden',
    code: 200,
    message: 'Forbidden'
});
ResponseUtil.sendTokenExpiredError = (res) => res.status(401).json({
    name: 'TokenExpiredError',
    code: 101,
    message: 'Token is expired'
});
ResponseUtil.sendRefreshExpiredError = (res) => res.status(401).json({
    name: 'RefreshExpiredError',
    code: 110,
    message: 'Refresh token is expired'
});
ResponseUtil.sendInvalidId = (res) => res.status(400).json({
    name: 'InvalidIdError',
    code: 102,
    message: 'Invalid ID'
});
ResponseUtil.sendValidationError = (res, errors) => res.status(400).json({
    name: 'ValidationError',
    code: 103,
    message: 'Request parameters is not valid',
    errors
});
ResponseUtil.sendDuplicateKeyError = function (res, message, errors) {
    res.status(400).json({
        name: 'SequelizeUniqueConstraintError',
        code: 11000,
        message,
        errors
    });
};
exports.ResponseUtil = ResponseUtil;
//# sourceMappingURL=response-util.js.map